Functions
Data_Management
Peripheral Driver » LL Driver » SPI » Functions

## Functions
__STATIC_INLINE void | ll_spi_transmit_data8 (spi_regs_t *SPIx, uint8_t tx_data)
| Write 8-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_transmit_data16 (spi_regs_t *SPIx, uint16_t tx_data)
| Write 16-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_transmit_data32 (spi_regs_t *SPIx, uint32_t tx_data)
| Write 32-Bits in the data register. More...
__STATIC_INLINE uint8_t | ll_spi_receive_data8 (spi_regs_t *SPIx)
| Read 8-Bits in the data register. More...
__STATIC_INLINE uint16_t | ll_spi_receive_data16 (spi_regs_t *SPIx)
| Read 16-Bits in the data register. More...
__STATIC_INLINE uint32_t | ll_spi_receive_data32 (spi_regs_t *SPIx)
| Read 32-Bits in the data register. More...
__STATIC_INLINE void | ll_spi_set_rx_sample_delay (spi_regs_t *SPIx, uint32_t delay)
| Set Rx sample delay. More...
__STATIC_INLINE uint32_t | ll_spi_get_rx_sample_delay (spi_regs_t *SPIx)
| Get Rx sample delay. More...

## Detailed Description

## Function Documentation

## ◆ ll_spi_get_rx_sample_delay()

__STATIC_INLINE uint32_t ll_spi_get_rx_sample_delay | ( | spi_regs_t * | SPIx | ) |

Get Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  SPIx | SPI instance

Return values

  Returned | value can be one of the following values: 0 ~ 7

Definition at line 1799 of file gr533x_ll_spi.h.

## ◆ ll_spi_receive_data16()

__STATIC_INLINE uint16_t ll_spi_receive_data16 | ( | spi_regs_t * | SPIx | ) |

Read 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Returned | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Definition at line 1751 of file gr533x_ll_spi.h.

## ◆ ll_spi_receive_data32()

__STATIC_INLINE uint32_t ll_spi_receive_data32 | ( | spi_regs_t * | SPIx | ) |

Read 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Returned | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Definition at line 1766 of file gr533x_ll_spi.h.

## ◆ ll_spi_receive_data8()

__STATIC_INLINE uint8_t ll_spi_receive_data8 | ( | spi_regs_t * | SPIx | ) |

Read 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance

Return values

  Rerturned | Value between Min_Data=0x00 and Max_Data=0xFF

Definition at line 1736 of file gr533x_ll_spi.h.

## ◆ ll_spi_set_rx_sample_delay()

__STATIC_INLINE void ll_spi_set_rx_sample_delay | ( | spi_regs_t * | SPIx,
|  | uint32_t | delay
| ) |  |

Set Rx sample delay.

Note
  This bit should not be changed when communication is ongoing.

Register|BitsName --------|-------- RX_SAMPLEDLY | RX_SAMPLEDLY

Parameters

  SPIx | SPI instance
  delay | This parameter can be one of the following values: 0 ~ 7

Return values

  None |

Definition at line 1783 of file gr533x_ll_spi.h.

## ◆ ll_spi_transmit_data16()

__STATIC_INLINE void ll_spi_transmit_data16 | ( | spi_regs_t * | SPIx,
|  | uint16_t | tx_data
| ) |  |

Write 16-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x0000 and Max_Data=0xFFFF

Return values

  None |

Definition at line 1705 of file gr533x_ll_spi.h.

## ◆ ll_spi_transmit_data32()

__STATIC_INLINE void ll_spi_transmit_data32 | ( | spi_regs_t * | SPIx,
|  | uint32_t | tx_data
| ) |  |

Write 32-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 1721 of file gr533x_ll_spi.h.

## ◆ ll_spi_transmit_data8()

__STATIC_INLINE void ll_spi_transmit_data8 | ( | spi_regs_t * | SPIx,
|  | uint8_t | tx_data
| ) |  |

Write 8-Bits in the data register.

Register|BitsName --------|-------- DATA | DATA

Parameters

  SPIx | SPI instance
  tx_data | Value between Min_Data=0x00 and Max_Data=0xFF

Return values

  None |

Definition at line 1689 of file gr533x_ll_spi.h.